<div id="order" class="page-layout carded fullwidth" fusePerfectScrollbar>

    <!-- TOP BACKGROUND -->
    <div class="top-bg {{secondColorBrand}}"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header white-fg"
             fxLayout="row" fxLayoutAlign="space-between center">

            <!-- APP TITLE -->
            <div fxLayout="row" fxLayoutAlign="start center">

                <button class="mr-16" mat-icon-button [routerLink]="'/purchases'">
                    <mat-icon>arrow_back</mat-icon>
                </button>

                <div fxLayout="column" fxLayoutAlign="start start"
                     *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                    <div class="h2" *ngIf="purchase && purchase.id">
                        Compra - {{purchase.id}}
                    </div>
                    <div class="subtitle secondary-text" *ngIf="purchase && purchase.status">
                        <span>{{ purchaseStatusEnumToString(purchase.status) }}</span>
                    </div>
                </div>
            </div>
            <!-- / APP TITLE -->

        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card mat-white-bg">

            <!-- CONTENT -->
            <div class="content">

                <mat-tab-group>

                    <mat-tab label="Detalhes">

                        <div class="order-details tab-content p-24" fusePerfectScrollbar>

                        <div *ngIf="canApprove" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
                            <button type="button" mat-raised-button (click)="rejectPurchase()">Rejeitar Compra</button>
                            <button type="button" color="primary" mat-raised-button (click)="approvePurchase()">Aprovar Compra</button>
                        </div>       

                        <br>
                        <div *ngIf="canConfirmReceived" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
                            <button type="button" color="primary" mat-raised-button (click)="confirmReceived()" [disabled]="!canConfirmReceived">Confirmar Recebimento</button>
                        </div>       
                        
                        
                        <div class="section pb-48">

                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                    <mat-icon class="m-0 mr-16">shopping_cart</mat-icon>
                                    <div class="h2 secondary-text">Detalhes da Compra</div>
                                </div>

                                
                                <table class="simple" *ngIf="purchase && purchase?.relationships && purchase?.relationships?.offer" style="padding: 0px 50px 0px 40px">
                                        <thead >
                                            <tr>
                                                <th style="padding-left: 0px"> Oferta</th>
                                                <th>Descrição</th>
                                                <th>Recorrência</th>
                                                <th>Valor Total</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td style="padding-left: 0px">
                                                    {{purchase?.relationships.offer?.name}}   
                                                </td>
                                                <td>
                                                    {{purchase?.relationships.offer?.description}}  
                                                </td>  
                                                <td>
                                                    {{purchaseOfferRecurrenceEnumToString(purchase?.relationships.offer?.chargingRecurrence)}}  
                                                </td> 
                                                <td>
                                                    {{purchase?.relationships['sale']?.totalPrice | currency: 'BRL'}}  
                                                </td>                                
                                            </tr>
                                        </tbody>
                                </table>
                                <br>
                                <table class="simple" *ngIf="purchase && purchase?.relationships && purchase?.relationships?.payment" style="padding: 0px 50px 0px 40px">
                                        <thead >
                                            <tr>
                                                <th style="padding-left: 0px">Forma de Pagamento</th>
                                                <th *ngIf="purchase.relationships?.payment?.creditCardBrand">Bandeira</th>
                                                <th *ngIf="purchase.relationships?.payment?.creditCardNumber">Número</th>
                                                <th>Status</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td style="padding-left: 0px">
                                                    {{paymentTypeEnumToString(purchase.relationships?.payment?.type)}}   
                                                </td>
                                                <td *ngIf="purchase.relationships?.payment?.creditCardBrand">
                                                    <span class="text-truncate">
                                                        {{purchase.relationships?.payment?.creditCardBrand}}
                                                    </span>
                                                </td>
                                                <td *ngIf="purchase.relationships?.payment?.creditCardNumber">
                                                    <span class="text-truncate">
                                                        {{purchase.relationships?.payment?.creditCardNumber}}
                                                    </span>
                                                </td>
                                                <td>
                                                    <span class="text-truncate">
                                                        {{PaymentCreditCardEnumToString(statusPayment)}}
                                                    </span>
                                                </td>                                
                                            </tr>
                                        </tbody>
                                </table>
                                
                                

                            </div>

                          <div class="section pb-48">

                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                    <mat-icon class="m-0 mr-16">access_time</mat-icon>
                                    <div class="h2 secondary-text">Histórico da Compra</div>
                                </div>

                                <table class="simple" style="padding: 0px 50px 0px 40px">
                                    <thead>
                                        <tr>
                                            <th style="padding-left: 0px">Status</th>
                                            <th>Data</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="statusList" >
                                        <tr *ngFor="let item of statusList">
                                            <td style="padding-left: 0px">
                                                {{item.status}}   
                                            </td>
                                            <td>
                                                {{item.date | date: 'short'}}
                                            </td>                                 
                                        </tr>
                                    </tbody>
                                </table>

                            </div>

                           
                            <div class="section pb-48" *ngIf="address && address['street']">

                                <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                    <mat-icon class="m-0 mr-16">local_shipping</mat-icon>
                                    <div class="h2 secondary-text">Entrega</div>
                                </div>

                                <div class="customer">
                                        <table class="simple" style="padding: 0px 50px 0px 40px">
                                            <thead>
                                                <tr>
                                                    <th style="padding-left: 0px">Endereço</th>
                                                    <th>Número</th>
                                                    <th>Cep</th>
                                                    <th>Cidade</th>
                                                    <th>UF</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td style="padding-left: 0px">
                                                        <span class="email text-truncate" *ngIf="address" >{{address['street']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['number']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['postalCode']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['city']}}</span>
                                                    </td> 
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="address" >{{address['state']}}</span>
                                                    </td> 
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    
                            </div>

                        </div>
                    </mat-tab>
                    <mat-tab label="Produtos" *ngIf="purchase && purchase['products'] && purchase['products'].length > 0">

                            <div class="order-details tab-content p-24" fusePerfectScrollbar>   

                                    
                                    
                            <div class="section pb-48">

                                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                            <mat-icon class="m-0 mr-16">shopping_cart</mat-icon>
                                            <div class="h2 secondary-text">Produtos</div>
                                        </div>

                           
                            <table class="simple" *ngIf="purchase && purchase['products'] && purchase['products'].length > 0" style="padding: 0px 50px 0px 40px">
                                    <thead >
                                        <tr>
                                            <th  style="padding-left: 0px">Produto</th>
                                            <th >Descrição</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let product of purchase['products']">
                                            <td style="padding-left: 0px">
                                                {{product.name}}   
                                            </td>
                                            <td>
                                                {{product.description}}  
                                            </td>                              
                                        </tr>
                                    </tbody>
                            </table>
                        </div>

                            
                    </div>

                    </mat-tab>
                    <mat-tab label="Serviços" *ngIf="purchase && purchase['services'] && purchase['services'].length > 0">
                            <div class="order-details tab-content p-24" fusePerfectScrollbar>   
 
                                    <div class="section pb-48">

                                            <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                                    <mat-icon class="m-0 mr-16">shopping_cart</mat-icon>
                                                    <div class="h2 secondary-text">Serviços</div>
                                                </div>
                          
                            <table class="simple" *ngIf="purchase && purchase['services'] && purchase['services'].length > 0" style="padding: 0px 50px 0px 40px">
                                    <thead >
                                        <tr>
                                            <th style="padding-left: 0px">Serviço</th>
                                            <th >Descrição</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <tr *ngFor="let service of purchase['services']">
                                            <td style="padding-left: 0px">
                                                {{service.name}}   
                                            </td>
                                            <td>
                                                {{service.description}}  
                                            </td>                              
                                        </tr>
                                    </tbody>
                            </table>
                        </div>

                            
                    </div>
                    </mat-tab>
                    <mat-tab label="Transações" *ngIf="this.chargeList && this.chargeList.length > 0">
                            <div class="order-details tab-content p-24" fusePerfectScrollbar>   
 
                                    <div class="section pb-48" *ngIf="this.chargeList && this.chargeList.length > 0">

                                            <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                                <mat-icon class="m-0 mr-16">attach_money</mat-icon>
                                                <div class="h2 secondary-text">Transações</div>
                                            </div>
            
                                            <table class="simple" style="padding: 0px 50px 0px 40px">
                                                <thead>
                                                    <tr>
                                                        <th>Vencimento</th>
                                                        <th style="padding-left: 0px">Tipo</th>
                                                        <th>Processamento</th>
                                                        <th>Status</th>
                                                        <th *ngIf="purchase.relationships?.payment?.type == 'BOOKLET'">Baixar Boleto</th>
                                                    </tr>
                                                </thead>
                                                <tbody *ngIf="this.chargeList" >
                                                    <tr *ngFor="let item of this.chargeList">
                                                        <td>
                                                            {{item.ref ? item.ref : '-'}}
                                                        </td>
                                                        <td style="padding-left: 0px">
                                                            {{paymentTypeEnumToString(purchase.relationships?.payment?.type)}}   
                                                        </td>
                                                        
                                                        <td>
                                                            {{item.scheduledDateTime | date: 'short'}}
                                                        </td> 
                                                        <td>
                                                            {{PaymentCreditCardEnumToString(item.status)}}   
                                                        </td>
                                                        <td *ngIf="item.amount">
                                                            {{item.amount | currency: 'BRL'}}
                                                        </td>
                                                        <td *ngIf="item.bookletUrl" style="text-align: center">
                                                            <mat-icon style="cursor:pointer" class="m-0 mr-16" (click)="downloadBooklet(item.bookletUrl)">cloud_download</mat-icon>
                                                        </td>                             
                                                    </tr>
                                                </tbody>
                                            </table>
            
                                        </div>

                            
                    </div>
                    </mat-tab>

                </mat-tab-group>

            </div>
            <!-- / CONTENT -->

        </div>
        <!-- / CONTENT CARD -->

    </div>
    <!-- / CENTER -->
</div>
